diff --git a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
similarity index 89%
rename from src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
rename to game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index 75cc53024..057e7aae6 100644
--- a/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
+++ b/game/server/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -21,7 +21,6 @@ import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
-import net.minecraft.server.net.PlayerList;
 import net.minecraft.server.net.command.ServerCommandSource;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.net.packet.*;
@@ -70,20 +69,20 @@ public class PacketHandlerServer extends PacketHandler
         netManager.processReadPackets();
         if (field_15_f - field_22004_g > 20)
         {
-            sendPacket(new KeepAlivePacket());
+            sendPacket(new PacketKeepAlive());
         }
     }
 
     public boolean canInteract() {
-        return playerEntity.getGamemode().canInteract() && playerEntity.isAlive();
+        return playerEntity.canInteract();
     }
 
     public void kickPlayer(String s)
     {
         playerEntity.func_30002_A();
-        sendPacket(new DisconnectPacket(s));
+        sendPacket(new PacketDisconnect(s));
         netManager.serverShutdown();
-        mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(playerEntity.getDisplayName() + TextFormatting.YELLOW + " was kicked from the game."));
+        mcServer.playerList.sendPacketToAllPlayers(new PacketChat(playerEntity.getDisplayName() + TextFormatting.YELLOW + " was kicked from the game."));
         mcServer.playerList.updatePlayerProfile(playerEntity.username, playerEntity.nickname, playerEntity.uuid, playerEntity.score, playerEntity.chatColor, false, playerEntity.isOperator());
         mcServer.playerList.playerLoggedOut(playerEntity);
         connectionClosed = true;
@@ -95,7 +94,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleSetMobSpawner(SetMobSpawnerPacket packet) {
+    public void handleSetMobSpawner(PacketSetMobSpawner packet) {
         WorldServer world = mcServer.getDimensionWorld(playerEntity.dimension);
         if (playerEntity.getGamemode() == Gamemode.creative && world.isBlockLoaded(packet.xPosition, packet.yPosition, packet.zPosition))
         {
@@ -113,7 +112,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleFlying(MovePlayerPacket packet)
+    public void handleFlying(PacketMovePlayer packet)
     {
         if (!playerEntity.isAlive()) return;
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
@@ -292,7 +291,7 @@ public class PacketHandlerServer extends PacketHandler
 		lastPosY = y;
 		lastPosZ = z;
 		playerEntity.absMoveTo(x, y, z, playerEntity.yRot, playerEntity.xRot);
-		playerEntity.playerNetServerHandler.sendPacket(new MovePlayerPacket.Pos(x, y + 1.625, z, false));
+		playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.Pos(x, y + 1.625, z, false));
 	}
 
 	public void teleportAndRotate(double x, double y, double z, float yaw, float pitch) {
@@ -301,26 +300,26 @@ public class PacketHandlerServer extends PacketHandler
 		lastPosY = y;
 		lastPosZ = z;
 		playerEntity.absMoveTo(x, y, z, yaw, pitch);
-		playerEntity.playerNetServerHandler.sendPacket(new MovePlayerPacket.PosRot(x, y + 1.625, z, yaw, pitch, false));
+		playerEntity.playerNetServerHandler.sendPacket(new PacketMovePlayer.PosRot(x, y + 1.625, z, yaw, pitch, false));
 	}
 
     @Override
-    public void handleBlockDig(PlayerActionPacket playerActionPacket) {
+    public void handleBlockDig(PacketPlayerAction playerActionPacket) {
         final int x = playerActionPacket.xPosition;
         final int y = playerActionPacket.yPosition;
         final int z = playerActionPacket.zPosition;
 
         if (!canInteract() || playerEntity.getHeldObject() != null /*Forbid digging while holding object*/) return;
         WorldServer world = mcServer.getDimensionWorld(playerEntity.dimension);
-        if(playerActionPacket.action == PlayerActionPacket.ACTION_DROP_ITEM_SINGLE) {
+        if(playerActionPacket.action == PacketPlayerAction.ACTION_DROP_ITEM_SINGLE) {
             // Drop single item
             playerEntity.dropCurrentItem(false);
             return;
-        }else if(playerActionPacket.action == PlayerActionPacket.ACTION_DROP_ITEM_STACK) {
+        }else if(playerActionPacket.action == PacketPlayerAction.ACTION_DROP_ITEM_STACK) {
             // Drop full stack
             playerEntity.dropCurrentItem(true);
             return;
-        }else if(playerActionPacket.action == PlayerActionPacket.ACTION_PICK_BLOCK) {
+        }else if(playerActionPacket.action == PacketPlayerAction.ACTION_PICK_BLOCK) {
             // Pick Block
             playerEntity.pickBlock(x, y, z);
             return;
@@ -342,21 +341,21 @@ public class PacketHandlerServer extends PacketHandler
         int spawnDistZ = (int) MathHelper.abs(z - spawnPos.z);
         int distanceFromSpawn = Math.max(spawnDistX, spawnDistZ);
         if(distanceFromSpawn <= mcServer.spawnProtectionRange && !ignoreSpawnProtection) {
-            playerEntity.playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, world));
+            playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
             return;
         }
 
         // handles spawn protection
-        if(playerActionPacket.action == PlayerActionPacket.ACTION_DIG_START) {
+        if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_START) {
             // Start Mining
             playerEntity.playerController.startMining(x, y, z, playerActionPacket.side);
-        } else if(playerActionPacket.action == PlayerActionPacket.ACTION_DIG_CONTINUED) {
+        } else if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_CONTINUED) {
             // Hit Block
             playerEntity.playerController.hitBlock(x, y, z, playerActionPacket.side, playerActionPacket.xHit, playerActionPacket.yHit);
-        } else if(playerActionPacket.action == PlayerActionPacket.ACTION_DIG_COMPLETE) {
+        } else if(playerActionPacket.action == PacketPlayerAction.ACTION_DIG_COMPLETE) {
             // Block Destroy
             if(!playerEntity.playerController.destroyBlock(x, y, z, playerActionPacket.side)) {
-                playerEntity.playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, world));
+                playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, world));
             }
         }
     }
@@ -365,13 +364,13 @@ public class PacketHandlerServer extends PacketHandler
     {
         for (PlayerServer playerServer : mcServer.playerList.playerEntities)
         {
-            sendPacket(new UpdatePlayerProfilePacket(playerServer.username, playerServer.nickname, playerServer.uuid, playerServer.score, playerServer.chatColor, true, playerServer.isOperator()));
+            sendPacket(new PacketUpdatePlayerProfile(playerServer.username, playerServer.nickname, playerServer.uuid, playerServer.score, playerServer.chatColor, true, playerServer.isOperator()));
         }
         PlayerListBox.updateList();
     }
 
     @Override
-    public void handlePlace(UseItemPacket packet)
+    public void handlePlace(PacketUseItem packet)
     {
         if (!canInteract()) return;
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
@@ -404,11 +403,11 @@ public class PacketHandlerServer extends PacketHandler
             {
                 playerEntity.playerController.activateBlockOrUseItem(playerEntity, worldserver, itemstack, x, y, z, direction.getSide(), xPlaced, yPlaced);
             }
-            playerEntity.playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, worldserver));
+            playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
             x += direction.getOffsetX();
             y += direction.getOffsetY();
             z += direction.getOffsetZ();
-            playerEntity.playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, worldserver));
+            playerEntity.playerNetServerHandler.sendPacket(new PacketBlockUpdate(x, y, z, worldserver));
         }
         itemstack = playerEntity.inventory.getCurrentItem();
         if (itemstack != null && itemstack.stackSize <= 0)
@@ -426,7 +425,7 @@ public class PacketHandlerServer extends PacketHandler
         }
         if (!ItemStack.areItemStacksEqual(playerEntity.inventory.getCurrentItem(), packet.itemStack))
         {
-            sendPacket(new ContainerSetSlotPacket(playerEntity.craftingInventory.containerId, slot.index, playerEntity.inventory.getCurrentItem()));
+            sendPacket(new PacketContainerSetSlot(playerEntity.craftingInventory.containerId, slot.index, playerEntity.inventory.getCurrentItem()));
         }
     }
 
@@ -434,7 +433,7 @@ public class PacketHandlerServer extends PacketHandler
     public void handleErrorMessage(String message, Object[] objects)
     {
         LOGGER.info(playerEntity.username + " lost connection: " + message);
-        mcServer.playerList.sendPacketToAllPlayers(new ChatPacket(playerEntity.getDisplayName() + TextFormatting.YELLOW + " left the game."));
+        mcServer.playerList.sendPacketToAllPlayers(new PacketChat(playerEntity.getDisplayName() + TextFormatting.YELLOW + " left the game."));
         mcServer.playerList.updatePlayerProfile(playerEntity.username, playerEntity.nickname, playerEntity.uuid, playerEntity.score, playerEntity.chatColor, false, playerEntity.isOperator());
         mcServer.playerList.playerLoggedOut(playerEntity);
         connectionClosed = true;
@@ -459,7 +458,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleBlockItemSwitch(SetCarriedItemPacket setCarriedItemPacket)
+    public void handleBlockItemSwitch(PacketSetCarriedItem setCarriedItemPacket)
     {
         if (setCarriedItemPacket.id < 0 || setCarriedItemPacket.id > ContainerInventory.playerMainInventorySize())
         {
@@ -469,19 +468,19 @@ public class PacketHandlerServer extends PacketHandler
         {
             playerEntity.inventory.setCurrentItemIndex(setCarriedItemPacket.id, false);
             if (setCarriedItemPacket.id != playerEntity.inventory.getCurrentItemIndex()) { // If client tried to set current item while locked then send a packet back attempting to resync them
-                sendPacket(new SetCarriedItemPacket(setCarriedItemPacket.id));
+                sendPacket(new PacketSetCarriedItem(setCarriedItemPacket.id));
             }
         }
     }
 
 	@Override
-	public void handleChat(ChatPacket packet) {
+	public void handleChat(PacketChat packet) {
 		String message;
 		if(packet.encrypted) {
 			try {
 				message = AES.decrypt(packet.message, AES.keyChain.get(playerEntity.username));
 			}catch (Exception e) {
-				throw new RuntimeException(ChatPacket.ENCRYPTION_ERROR_MESSAGE, e);
+				throw new RuntimeException(PacketChat.ENCRYPTION_ERROR_MESSAGE, e);
 			}
 		}else {
 			message = packet.message;
@@ -497,7 +496,7 @@ public class PacketHandlerServer extends PacketHandler
 		for(int i = 0; i < message.length(); i++) {
 			char c = message.charAt(i);
 			if(ChatAllowedCharacters.ALLOWED_CHARACTERS.indexOf(c) < 0) {
-				sendPacket(new ChatPacket(String.valueOf(TextFormatting.GRAY) + TextFormatting.ITALIC + "[SERVER] Illegal characters in chat message."));
+				sendPacket(new PacketChat(String.valueOf(TextFormatting.GRAY) + TextFormatting.ITALIC + "[SERVER] Illegal characters in chat message."));
 				return;
 			}
 		}
@@ -518,12 +517,12 @@ public class PacketHandlerServer extends PacketHandler
         try {
             playerEntity.world.getCommandManager().execute(s.substring(1), serverCommandSource);
         } catch (CommandSyntaxException e) {
-            playerEntity.playerNetServerHandler.sendPacket(new ChatPacket(TextFormatting.RED + e.getMessage(), AES.keyChain.get(playerEntity.username)));
+            playerEntity.playerNetServerHandler.sendPacket(new PacketChat(TextFormatting.RED + e.getMessage(), AES.keyChain.get(playerEntity.username)));
         }
     }
 
     @Override
-    public void handleAnimation(AnimatePacket packet)
+    public void handleAnimation(PacketAnimate packet)
     {
         if (!playerEntity.isAlive()) return;
         if (packet.animate == 1)
@@ -533,25 +532,25 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handlePlayerState(UpdatePlayerStatePacket updatePlayerStatePacket)
+    public void handlePlayerState(PacketUpdatePlayerState updatePlayerStatePacket)
     {
         if (!playerEntity.isAlive()) return;
-        if (updatePlayerStatePacket.state == UpdatePlayerStatePacket.STATE_SNEAK)
+        if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_SNEAK)
         {
             playerEntity.setSneaking(true);
         }
-        else if (updatePlayerStatePacket.state == UpdatePlayerStatePacket.STATE_UN_SNEAK)
+        else if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_UN_SNEAK)
         {
             playerEntity.setSneaking(false);
         }
-        else if (updatePlayerStatePacket.state == UpdatePlayerStatePacket.STATE_LEAVE_BED)
+        else if (updatePlayerStatePacket.state == PacketUpdatePlayerState.STATE_LEAVE_BED)
         {
             playerEntity.wakeUpPlayer(false, true);
             hasMoved = false;
         }
     }
     @Override
-    public void handleBoatControl(BoatControlPacket boatControlPacket)
+    public void handleBoatControl(PacketBoatControl boatControlPacket)
     {
         if (!canInteract()) return;
         if (playerEntity.vehicle != null && playerEntity.vehicle instanceof EntityBoat && !Double.isNaN(boatControlPacket.targetXD) && !Double.isNaN(boatControlPacket.targetZD)) {
@@ -563,7 +562,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleKickDisconnect(DisconnectPacket packet)
+    public void handleKickDisconnect(PacketDisconnect packet)
     {
         netManager.networkShutdown("disconnect.quitting", new Object[0]);
     }
@@ -576,7 +575,7 @@ public class PacketHandlerServer extends PacketHandler
     @Override
     public void logInfo(String s)
     {
-        sendPacket(new ChatPacket("\2477" + s));
+        sendPacket(new PacketChat("\2477" + s));
     }
 
     @Override
@@ -586,7 +585,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleUseEntity(InteractPacket interactPacket)
+    public void handleUseEntity(PacketInteract interactPacket)
     {
         if (!playerEntity.getGamemode().canInteract() || !playerEntity.isAlive() || playerEntity.getHeldObject() != null /*TODO consider adding entity interactions while holding object*/) return;
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
@@ -619,11 +618,11 @@ public class PacketHandlerServer extends PacketHandler
             }
             if (canAttack)
             {
-                if (interactPacket.action == InteractPacket.ACTION_INTERACT)
+                if (interactPacket.action == PacketInteract.ACTION_INTERACT)
                 {
                     playerEntity.useCurrentItemOnEntity(targetEntity);
                 }
-                else if (interactPacket.action == InteractPacket.ACTION_ATTACK)
+                else if (interactPacket.action == PacketInteract.ACTION_ATTACK)
                 {
                     playerEntity.attackTargetEntityWithCurrentItem(targetEntity);
                 }
@@ -632,13 +631,13 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleOpenGuidebook(GuidebookPacket packet)
+    public void handleOpenGuidebook(PacketGuidebook packet)
     {
         playerEntity.displayGUIGuidebook();
     }
 
     @Override
-    public void handleRespawn(RespawnPacket packet)
+    public void handleRespawn(PacketRespawn packet)
     {
         if (playerEntity.getHealth() <= 0) {
             playerEntity = mcServer.playerList.recreatePlayerEntity(playerEntity, 0);
@@ -646,20 +645,20 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleCloseWindow(ContainerClosePacket containerClosePacket)
+    public void handleCloseWindow(PacketContainerClose containerClosePacket)
     {
         playerEntity.closeCraftingGui();
     }
 
     @Override
-    public void handleWindowClick(ContainerClickPacket containerClickPacket)
+    public void handleWindowClick(PacketContainerClick containerClickPacket)
     {
         if (playerEntity.craftingInventory.containerId == containerClickPacket.window_Id && playerEntity.craftingInventory.isSynched(playerEntity))
         {
             ItemStack itemstack = playerEntity.craftingInventory.clicked(containerClickPacket.action, containerClickPacket.args, playerEntity);
             if (ItemStack.areItemStacksEqual(containerClickPacket.itemStack, itemstack))
             {
-                playerEntity.playerNetServerHandler.sendPacket(new ContainerAckPacket(containerClickPacket.window_Id, containerClickPacket.actionId, true));
+                playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(containerClickPacket.window_Id, containerClickPacket.actionId, true));
                 playerEntity.isChangingQuantityOnly = true;
                 playerEntity.craftingInventory.broadcastChanges();
                 playerEntity.updateHeldItem();
@@ -668,7 +667,7 @@ public class PacketHandlerServer extends PacketHandler
             else
             {
                 guiIdMap.put(playerEntity.craftingInventory.containerId, containerClickPacket.actionId);
-                playerEntity.playerNetServerHandler.sendPacket(new ContainerAckPacket(containerClickPacket.window_Id, containerClickPacket.actionId, false));
+                playerEntity.playerNetServerHandler.sendPacket(new PacketContainerAck(containerClickPacket.window_Id, containerClickPacket.actionId, false));
                 playerEntity.craftingInventory.setSynched(playerEntity, false);
                 ArrayList<ItemStack> arraylist = new ArrayList<>();
                 for (int i = 0; i < playerEntity.craftingInventory.slots.size(); i++)
@@ -682,7 +681,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleTransaction(ContainerAckPacket packet)
+    public void handleTransaction(PacketContainerAck packet)
     {
         Short short1 = guiIdMap.get(playerEntity.craftingInventory.containerId);
         if (short1 != null && packet.shortWindowId == short1 && playerEntity.craftingInventory.containerId == packet.windowId && !playerEntity.craftingInventory.isSynched(playerEntity))
@@ -692,7 +691,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleUpdateSign(SignUpdatePacket signUpdatePacket)
+    public void handleUpdateSign(PacketSignUpdate signUpdatePacket)
     {
         if (!playerEntity.getGamemode().canInteract() || !playerEntity.isAlive()) return;
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
@@ -751,7 +750,7 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleUpdateCreativeInventory(UpdateCreativeInventoryPacket packet)
+    public void handleUpdateCreativeInventory(PacketUpdateCreativeInventory packet)
     {
         if (playerEntity.craftingInventory.containerId == packet.windowId && playerEntity.craftingInventory instanceof MenuInventoryCreative)
         {
@@ -760,17 +759,17 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleSetHotbarOffset(SetHotbarOffsetPacket packet)
+    public void handleSetHotbarOffset(PacketSetHotbarOffset packet)
     {
 
         playerEntity.inventory.setHotbarOffset(packet.hotbarOffset, false);
         if (packet.hotbarOffset != playerEntity.inventory.getHotbarOffset()) { // If player tries to set hotbar offset while locked resync the clients offset
-            sendPacket(new SetHotbarOffsetPacket(packet.hotbarOffset));
+            sendPacket(new PacketSetHotbarOffset(packet.hotbarOffset));
         }
     }
     
     @Override
-    public void handleItemName(SetItemNamePacket packet)
+    public void handleItemName(PacketSetItemName packet)
     {
         String name = packet.name;
         if (name.length() > 16) name = packet.name.substring(0, 16);
@@ -778,13 +777,13 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleSetPaintingMotive(SetPaintingArtPacket setPaintingArtPacket)
+    public void handleSetPaintingMotive(PacketSetPaintingArt setPaintingArtPacket)
     {
         playerEntity.setSelectedArt(ArtType.values.get(setPaintingArtPacket.motive));
     }
     
     @Override
-    public void handleCustomPayload(CustomPayloadPacket customPayloadPacket) {
+    public void handleCustomPayload(PacketCustomPayload customPayloadPacket) {
     	if("BTA|RotationLock".equals(customPayloadPacket.channel)) {
     		if(customPayloadPacket.data.length == 4) {
         		playerEntity.rotationLock = Direction.getDirectionById(customPayloadPacket.data[0]);
@@ -818,9 +817,9 @@ public class PacketHandlerServer extends PacketHandler
     }
 
     @Override
-    public void handleRequestCommandManagerPacket(RequestCommandManagerPacket packet) {
+    public void handleRequestCommandManagerPacket(PacketRequestCommandManager packet) {
         sendPacket(
-            new CommandManagerPacket(
+            new PacketCommandManager(
                 this.mcServer.getDimensionWorld(playerEntity.dimension)
                     .getCommandManager().getDispatcher(),
                 new ServerCommandSource(this.mcServer, playerEntity),
diff --git a/src/main/java/net/minecraft/server/player/PlayerListBox.java b/game/server/src/main/java/net/minecraft/server/player/PlayerListBox.java
similarity index 90%
rename from src/main/java/net/minecraft/server/player/PlayerListBox.java
rename to game/server/src/main/java/net/minecraft/server/player/PlayerListBox.java
index ace904e31..437d6ccc1 100644
--- a/src/main/java/net/minecraft/server/player/PlayerListBox.java
+++ b/game/server/src/main/java/net/minecraft/server/player/PlayerListBox.java
@@ -3,7 +3,7 @@ package net.minecraft.server.player;
 import java.util.Vector;
 import javax.swing.JList;
 
-import net.minecraft.core.net.packet.PlayerListPacket;
+import net.minecraft.core.net.packet.PacketPlayerList;
 import net.minecraft.server.MinecraftServer;
 import net.minecraft.core.net.IUpdatePlayerListBox;
 import net.minecraft.server.entity.player.PlayerServer;
@@ -51,6 +51,6 @@ public class PlayerListBox extends JList<String>
             scores[i] = String.valueOf(player.getScore());
         }
 
-        server.playerList.sendPacketToAllPlayers(new PlayerListPacket(playerCount, players, scores));
+        server.playerList.sendPacketToAllPlayers(new PacketPlayerList(playerCount, players, scores));
     }
 }
diff --git a/src/main/java/net/minecraft/server/player/PlayerManager.java b/game/server/src/main/java/net/minecraft/server/player/PlayerManager.java
similarity index 94%
rename from src/main/java/net/minecraft/server/player/PlayerManager.java
rename to game/server/src/main/java/net/minecraft/server/player/PlayerManager.java
index bfbea731d..741d6918a 100644
--- a/src/main/java/net/minecraft/server/player/PlayerManager.java
+++ b/game/server/src/main/java/net/minecraft/server/player/PlayerManager.java
@@ -5,6 +5,7 @@ import java.util.List;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.server.entity.player.PlayerServer;
@@ -218,7 +219,7 @@ public class PlayerManager
                 throw new IllegalStateException("Failed to add player. " + player + " already is in chunk " + chunkX + ", " + chunkZ);
             } else {
                 player.field_420_ah.add(currentChunk);
-                player.playerNetServerHandler.sendPacket(new ChunkVisibilityPacket(currentChunk.x, currentChunk.z, true));
+                player.playerNetServerHandler.sendPacket(new PacketChunkVisibility(currentChunk.x, currentChunk.z, true));
                 players.add(player);
                 player.loadedChunks.add(currentChunk);
             }
@@ -239,7 +240,7 @@ public class PlayerManager
             }
             player.loadedChunks.remove(currentChunk);
             if (player.field_420_ah.contains(currentChunk)) {
-                player.playerNetServerHandler.sendPacket(new ChunkVisibilityPacket(chunkX, chunkZ, false));
+                player.playerNetServerHandler.sendPacket(new PacketChunkVisibility(chunkX, chunkZ, false));
             }
         }
 
@@ -299,8 +300,8 @@ public class PlayerManager
                 int x = chunkX * Chunk.CHUNK_SIZE_X + minX;
                 int y = minY;
                 int z = chunkZ * Chunk.CHUNK_SIZE_Z + minZ;
-                sendPacketToPlayersInInstance(new BlockUpdatePacket(x, y, z, world));
-                if (Block.isEntityTile[world.getBlockId(x, y, z)]) {
+                sendPacketToPlayersInInstance(new PacketBlockUpdate(x, y, z, world));
+                if (Blocks.isEntityTile[world.getBlockId(x, y, z)]) {
                     updateTileEntity(world.getBlockEntity(x, y, z));
                 }
             }
@@ -323,7 +324,7 @@ public class PlayerManager
     //	            ySize = world.getHeightBlocks();
     //	            zSize = 16;
     //            }
-                sendPacketToPlayersInInstance(new BlockRegionUpdatePacket(minWorldX, minWorldY, minWorldZ, xSize, ySize, zSize, world));
+                sendPacketToPlayersInInstance(new PacketBlockRegionUpdate(minWorldX, minWorldY, minWorldZ, xSize, ySize, zSize, world));
                 List<TileEntity> list = world.getBlockEntitiesWithinBounds(minWorldX, minWorldY, minWorldZ, minWorldX + xSize, minWorldY + ySize, minWorldZ + zSize);
                 for(int j3 = 0; j3 < list.size(); j3++)
                 {
@@ -332,13 +333,13 @@ public class PlayerManager
 
             } else
             {
-                sendPacketToPlayersInInstance(new ChunkBlocksUpdatePacket(chunkX, chunkZ, blocksToUpdate, numBlocksToUpdate, world));
+                sendPacketToPlayersInInstance(new PacketChunkBlocksUpdate(chunkX, chunkZ, blocksToUpdate, numBlocksToUpdate, world));
                 for(int k = 0; k < numBlocksToUpdate; k++)
                 {
                     int x = chunkX * 16 + (blocksToUpdate[k] >> 0 & 0x0F);
                     int y = blocksToUpdate[k] >> 8;
                     int z = chunkZ * 16 + (blocksToUpdate[k] >> 4 & 0x0F);
-                    if(Block.isEntityTile[world.getBlockId(x, y, z)])
+                    if(Blocks.isEntityTile[world.getBlockId(x, y, z)])
                     {
                         updateTileEntity(world.getBlockEntity(x, y, z));
                     }
